<?php

namespace Drupal\give\Form\Donation;

use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Defines a class to build a listing of give donation entities.
 */
class DonationListBuilder extends EntityListBuilder {

  public function getOperations(EntityInterface $entity) {
    // The weight is ignored (at least by views), so put the complete op first.
    $ops = parent::getOperations($entity);
    if (!$entity->complete->value) {
       $ops = [
         'complete' => [
          'title' => $this->t('Complete'),
          'weight' => 0,
          'url' => $this->ensureDestination($entity->toUrl('complete-form'))
        ]
      ]+ $ops;
    }
    return $ops;
  }

}
